---
Title: Courses and Webinars
Author: Dimitris & Zineb
Topics:
  - summary on education center (from D4.10)
  - summary on webinar
  - How to use the webinar materials
status: review
---
## Documentation and Tutorials

### Documentation

KM3NeT software is required to use technical documentation embedded in the source code like [doxygen](https://www.doxygen.nl/index.html) or [sphinx](https://www.sphinx-doc.org/en/master/), which auto-generates detailed references and documentation of the full source code. In addition to that, nomenclature of classes, functions and variables must follow a standardized format to ensure a consistent code style. This is especially true for software used in the open science context. 

Each software package is accompanied by documentation served as webpages hosted on the gitlab instance, which includes a quick start and a basic user manual. In the open science context, example workflows are made available as jupyter notebooks either provided alongside the software or downloadable from the gallery provided in the OSP.

Like the Open Science Portal, dedicated Gitlab projects have been introduced for the documentation of central aspects of the open science system like [licensing](https://open-data.pages.km3net.de/licensing/), [data models](https://open-data.pages.km3net.de/datamodels/) and quality control (internal). This approach allows an easier interlink between the various components of the open data system and flexible handling of documentation alongside code.

### Virtual Education Center
The educational material of the KM3NeT collaboration is provided through the [Virtual Education Centre](https://edu.km3net.de). While the first prototype was based on an indico service, this was found no sufficient for the aims of a virtual education centre during user tests. There was, e.g., no video streaming service and no feedback mechanism available. The new Virtual Education Centre consists of a server running the Wordpress content management system. The LifterLMS plugin has been installed in Wordpress, providing a specialized education management system.

The courses in the Virtual Education Centre are divided in two categories. They are either protected or freely available. The courses belonging to the first category are accessible exclusively by KM3NeT members, who are able to enrol by authenticating with their KM3NeT user identity, later on the link to federated authentication and authorisation services from the EOSC are foreseen. These courses are oriented mainly to newcomers making their first steps in the collaboration. The courses of the second category are openly and freely accessible by all users, containing information on how to use the open data provided by the collaboration and aimed to provide an introduction to scientific research with the KM3NeT detectors.

The education management system provided by the [LifterLMS plugin](https://lifterlms.com/) offers the possibility to set up the sequencing of instructions in hierarchical categories like courses, sections and lessons. The sequence in which the courses have been set up is, in principle, a reference program for face-to-face training meetings. In addition, it allows the users to follow the sequencing of instructions in a self-paced study program independent of dedicated meetings.
