---
Title: ESAP & ESCAPE
Author: Jutta
status: review
---

## Further development of the open science system

Currently, KM3NeT is partner to the [ESCAPE (European Science Cluster of Astronomy & Particle physics ESFRI research infrastructures) project](https://projectescape.eu), integrating their open science products to the [European Open Science Cloud](https://www.eosc-portal.eu/). In the framework of this cooperation, various issues for KM3NeT in the open science context will be picked up and developed further.

### Development of Virtual Observatory standards
VO standards are at the current stage not fully adapted to the inclusion of neutrino data and require development of metadata standards for easy interpretability of the data. Open questions in this regard are the linkage of observation probabilities to a given event selection, the inclusion of ``non-observation'' in a given field of view and within a given time as relevant scientific information to retrieve from the services, and the introduction of a dedicated vocabulary for the description of neutrino data. This vocabulary will need to be developed within KM3NeT as a matter of internal standardization, however, the process will draw guidance from the VO expertise and framework.

### Data citation and access
Integration of large data sets, authorization for user to access these data sets and finally providing a schema for usage of computing resources for processing of larger data are issues that are addressed in the context of ESCAPE. This will be especially relevant for future full releases of KM3NeT datasets, for which downloading to a personal computer is no longer a feasible option. 

In this context, also issues of data citation, registration and integration to the wider science community will be addressed.

### Software licensing
In the ESCAPE context, an interest group has been formed addressing the issue of software and data licensing, and especially the interoperability of various software licenses. Especially if community development of software should be encouraged, copyright issues can become complex and at some point even damaging for the further development of a project. Although a working solution for KM3NeT regarding licenses has been found for the time being, results from this working group might lead to an adaption of the licensing policy in the future.

### Workflow management
As described in [this section](Workflows.md#workflow-management), it is aimed for to integrate two software solutions to ensure solid documentation as well as well managed execution of the KM3NeT data processing chain. To this end, another working group in the ESCAPE context is testing the use of the [DIRAC interware](http://diracgrid.org/), a management system for distributed, data driven job execution accross several HPC centers, and a better description of complex workflows through a workflow description language is investigated, namely the [Common Workflow Language (CWL)](https://www.commonwl.org/).
